Looking for a package to show how scss is compiling


#1

Hey! I hope I’m at the right place, sorry if I’m not.
Recently I’ve been testing vscode, and I saw that when I put my mice over a scss line - it shows me how it complies to css.

it looks like this https://i.imgur.com/Ctsxr0c.png

The only similar thing I’ve found was https://atom.io/packages/ide-css but that’s an overkill for what I’m looking for.

Do any one of you know of a package that do something similar?

Thanks!


#2

I can’t find any packages for previewing SCSS that have been recently maintained. I can’t test if source-preview-scss works because it doesn’t work on Windows. If ide-css does what you need, then that’s your answer.


#3

Hey, Thanks!

Unfortunately I can’t install source-preview-scss either

> apm install source-preview


/Applications/Atom Beta.app/Contents/Resources/app/apm/bin/apm: line 37: unset: `Beta.app/Contents/Resources/app/apm/bin/../node_modules/.bin/node-gyp': not a valid identifier
npm WARN enoent ENOENT: no such file or directory, open '/private/var/folders/gz/v88n2n2x7bj4lvdhcnqxdgnc0000gn/T/apm-install-dir-11828-10413-4i5mh8.ibd4m18aor/package.json'
npm WARN apm-install-dir-11828-10413-4i5mh8.ibd4m18aor No description
npm WARN apm-install-dir-11828-10413-4i5mh8.ibd4m18aor No repository field.
npm WARN apm-install-dir-11828-10413-4i5mh8.ibd4m18aor No README data
npm WARN apm-install-dir-11828-10413-4i5mh8.ibd4m18aor No license field.
npm ERR! Darwin 17.4.0
npm ERR! argv "/Applications/Atom Beta.app/Contents/Resources/app/apm/bin/node" "/Applications/Atom Beta.app/Contents/Resources/app/apm/node_modules/npm/bin/npm-cli.js" "--globalconfig" "/Users/nim/.atom/.apm/.apmrc" "--userconfig" "/Users/nim/.atom/.apmrc" "install" "/private/var/folders/gz/v88n2n2x7bj4lvdhcnqxdgnc0000gn/T/d-11828-10413-16ur62b.ffw65yiudi/package.tgz" "--runtime=electron" "--target=1.7.11" "--arch=x64" "--global-style"
npm ERR! node v6.9.5
npm ERR! npm  v3.10.10
npm ERR! code ELIFECYCLE

npm ERR! source-preview-sass@0.1.6 preinstall: `apm install source-preview`
npm ERR! Exit status 1
npm ERR! 
npm ERR! Failed at the source-preview-sass@0.1.6 preinstall script 'apm install source-preview'.
npm ERR! Make sure you have the latest version of node.js and npm installed.
npm ERR! If you do, this is most likely a problem with the source-preview-sass package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR!     apm install source-preview
npm ERR! You can get information on how to open an issue for this project with:
npm ERR!     npm bugs source-preview-sass
npm ERR! Or if that isn't available, you can get their info via:
npm ERR!     npm owner ls source-preview-sass
npm ERR! There is likely additional logging output above.

npm ERR! Please include the following file with any support request:
npm ERR!     /private/var/folders/gz/v88n2n2x7bj4lvdhcnqxdgnc0000gn/T/apm-install-dir-11828-10413-4i5mh8.ibd4m18aor/npm-debug.log

although I have installed source-preview

I think I’ll just continue without using it. Thank you!